-- ------------------------------------------------
-- -- DCS Character Frame Expand/Collapse Button --
-- ------------------------------------------------
local _, private = ...
	private.defaults.dejacharacterstatsExpandChecked = {
		ExpandSetChecked = true,
}
local DCS_ExpandCheck = CreateFrame("Button", "DCS_ExpandCheck", CharacterFrameInset, "InterfaceOptionsCheckButtonTemplate")
	DCS_ExpandCheck:RegisterForClicks("AnyDown")
	DCS_ExpandCheck:ClearAllPoints()
	DCS_ExpandCheck:SetPoint("BOTTOMRIGHT", 0, 0)
	DCS_ExpandCheck:SetScale(1.25)


local DCS_ExpandButtonTextureFrame = CreateFrame("Frame", "DCS_ExpandButtonTextureFrame", DCS_ExpandCheck)
	DCS_ExpandButtonTextureFrame:ClearAllPoints()
	DCS_ExpandButtonTextureFrame:SetFrameStrata("HIGH")
	DCS_ExpandButtonTextureFrame:SetAllPoints(DCS_ExpandCheck) 


local DCS_ExpandButtontexture = DCS_ExpandButtonTextureFrame:CreateTexture() 
	DCS_ExpandButtontexture:SetAllPoints(DCS_ExpandButtonTextureFrame) 


DCS_ExpandCheck:SetScript("OnClick", function (self, button, down)
	checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
	if checked == true then
	--	print(checked)
		CharacterFrame_Collapse()
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Up")
		private.db.dejacharacterstatsExpandChecked.ExpandSetChecked = false
	else
	--	print(checked)
		CharacterFrame_Expand()
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-LeftArrow-Button-Up")
		private.db.dejacharacterstatsExpandChecked.ExpandSetChecked = true
	end
end)

DCS_ExpandCheck:SetScript("OnEnter", function(self)
	checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
	--print(checked)
	if checked == true then
	--	print(checked)
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-LeftArrow-Button-Up")
	else
	--	print(checked)
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Up")
	end
end)

DCS_ExpandCheck:SetScript("OnLeave", function(self)
	checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
	--print(checked)
	if checked == true then
	--	print(checked)
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-LeftArrow-Button-Down")
	else
	--	print(checked)
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Down")
	end
end)

-- -----------------------------
-- -- PaperDoll OnShow/OnHide --
-- -----------------------------
PaperDollFrame:SetScript("OnShow", function(self, event, arg1)
	CharacterStatsPane.initialOffsetY = 0
	CharacterFrameTitleText:SetText(UnitPVPName("player"))
	PaperDollFrame_SetLevel()
	PaperDollFrame_UpdateStats()

	SetPaperDollBackground(CharacterModelFrame, "player")
	PaperDollBgDesaturate(true)
	PaperDollSidebarTabs:Show()
	PaperDollFrame_UpdateInventoryFixupComplete(self)

	checked = private.db.dejacharacterstatsExpandChecked.ExpandSetChecked
	if checked == true then
	--	print(checked)
		CharacterFrame_Expand()
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-LeftArrow-Button-Down") 
	else
	--	print(checked)
		CharacterFrame_Collapse()
		DCS_ExpandButtontexture:SetTexture("Interface\\GLUES\\COMMON\\Glue-RightArrow-Button-Down") 
	end
end)